PDA

View Full Version : problems installing RealPlayer 10 on Fedora 10



jupiter8
17th August 2009, 12:23 AM
I'm trying to install RealPlayer 10.0.5 for PPC on a G4 iBook. However, I'm posting here rather than the PPC forum as I'm pretty sure that this isn't a PPC-specific problem. Here's what I get when I follow the directions as given by the RealPlayer guide.

First, you are supposed to make the binary executable:

[root@ibookg4 work]# chmod a+x realplay-10.0.5.756-linux-2.2-libc6-gcc32-powerpc.bin

I confirmed that the .bin is now executable. But when I try to install, something appears to be missing:

[root@ibookg4 work]# ./realplay-10.0.5.756-linux-2.2-libc6-gcc32-powerpc.bin
./realplay-10.0.5.756-linux-2.2-libc6-gcc32-powerpc.bin: error while loading shared libraries: libstdc++.so.5: cannot open shared object file: No such file or directory

So I tried finding libstdc++.so.5:

[work@ibookg4 ~]$ whereis libstdc++.so.*
libstdc++.so: /usr/lib/libstdc++.so.6

So there is no libstdc++.so.5, but a newer one, libstdc++.so.6. Any suggestions? I'm (obviously) new to installing binaries.

jupiter8
18th August 2009, 05:29 AM
OK, fixed it after doing some further searching...

Install compat-libstdc++-33-3.2.3-64 (it's in the normal Fedora repos)

Look for libstdc++.so.5:

[work@ibookg4 ~]$ whereis libstdc++.so.*
libstdc++.so: /usr/lib/libstdc++.so.6 /usr/lib/libstdc++.so.5

So now the proper library has been installed. Run the install as previously described, and it should work. Unfortunately for PPC users, this is a rather dated RealPlayer, and some newer .rm movie files will freeze the RealPlayer 10 application. : ( However, things like .mp3 and streaming radio links work, so it's not all bad news.

nareshrockz
12th March 2010, 02:26 PM
Hai! I am using Fedora 12.
The following errors have been occured when i started to install realplayer11GOLD

-> After making the binary file executable, i tried to execute the file.But it showed the error like
bash: ./RealPlayer11GOLD.bin: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

-> Then i typed the command
$] install compat-libstdc++-33-3.2.3-64
It also gave an error compat-libstdc++-33-3.2.3-64

-> Now what to do? Give me a solution to my problem?

Please send me information to dasineni.naresh@gmail.com